### deferred_conditional

Used to represent a deferred conditional branch.

    template<
        typename OnTrue = deferred_noop,
        typename OnFalse = deferred_noop>
    class deferred_conditional

##### Member Functions

Name | Description
--- | ---
deferred_conditional [constructor] | Construct a deferred conditional with the value to determine which branch will be executed.
operator() | Invoke the conditional branch bsaed on the stored alue.
otherwise | Set the false branch of the conditional.
then | Set the true branch of the conditional.

##### Requirements

Header: `asio/deferred.hpp`

Convenience header: `asio.hpp`